{{ define "head" }}

{{ $pageType := "Article" }}

{{ if eq .CurrentSection.File.Path "news/_index.md" }}
{{ $pageType = "NewsArticle" }}
{{ end }}

{{ if eq .CurrentSection.File.Path "blog/_index.md" }}
{{ $pageType = "BlogPosting" }}
{{ end }}

<script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "{{ $pageType }}",
      "headline": "{{ .Title }}",
      "datePublished": "{{ .Date | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "dateModified": "{{ .Lastmod | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "author": [{
          "@type": "Organization",
          "name": "etke.cc",
          "url": "https://etke.cc"
        }]
    }
</script>
{{ end }}

{{ define "main" }}
<div class="container">
    <nav aria-label="Breadcrumbs">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ "/help" | relLangURL }}">{{ T "help" }}</a></li>
            <li class="breadcrumb-item" aria-current="page">{{ .Params.name }}</li>
        </ol>
    </nav>

    <h1 class="text-center">{{ .Params.heading }}</h1>
    {{ .Content }}
</div>

{{ partial "no-server-yet.html" . }}
{{ end }}
